Plack::HTTPParser(3)

NAME
Plack::HTTPParser - Parse HTTP headers

SYNOPSIS
  use Plack::HTTPParser qw(parse_http_request);

  my $ret = parse_http_request($header_str, \%env);
  # see HTTP::Parser::XS docs

DESCRIPTION
Plack::HTTPParser is a wrapper class to dispatch "parse_http_request" to Kazuho Oku's XS based HTTP::Parser::XS or pure perl fallback based on David Robins HTTP::Parser.

SEE ALSO
HTTP::Parser::XS HTTP::Parser